VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
IModelBinding Class Referenceabstract
Standalone Library

Model binding interface. More...

`#include <iuidescwindow.h>`

Inheritance diagram for IModelBinding:

## Public Types
using | ValueList = std::vector<ValuePtr>

## Public Member Functions
virtual const ValueList & | getValues () const =0
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T>
const auto | dynamicCast () const
template<typename T>
auto | dynamicCast ()

## Detailed Description

Model binding interface.

Make values available in the UIDescription window to be able to bind to controls.

## Member Typedef Documentation

## ◆ ValueList

using ValueList = std::vector<ValuePtr>

## Member Function Documentation

## ◆ getValues()

virtual const ValueList & getValues | ( |  | ) | const
| pure virtual

Implemented in ModelBindingCallbacks.

The documentation for this class was generated from the following file:

- iuidescwindow.h